package se.koc.trader.exchange.binance;

import org.junit.jupiter.api.Test;
import zutil.net.ws.rest.RESTClientFactory;

import javax.net.ssl.SSLSocket;
import javax.net.ssl.SSLSocketFactory;
import java.io.*;
import java.net.MalformedURLException;
import java.net.URL;

import static org.junit.jupiter.api.Assertions.*;

class BinanceMarketTest {

    @Test
    public void getServerTime() {
        BinanceMarket market = new BinanceMarket();
        assertTrue(market.getServerTime() > 0, "Unable to retrieve server time");
    }

}